<?xml version="1.0"  encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      xmlns="http://www.w3.org/TR/xhtml1/strict">


<xsl:template name="excerpt.head.linklist">
	<xsl:param name="indexfile" />
	<xsl:param name="excerptsrc" />
	<xsl:param name="exclude-name" />
<!--
	lookup several items and files to link to

-->
<!-- xsl:message><xsl:value-of select="concat('+++++++++++',$exclude-name)" /></xsl:message -->


	<xsl:variable name="link2excerpt">
<xsl:if test="$exclude-name!='excerpt' and $exclude-name!='conspect-alone' ">
			<xsl:for-each
select="document($indexfile)//IndexItem[@src=$excerptsrc]">
				<xsl:value-of select="concat(@base,'/',@dest)" />
			</xsl:for-each>
</xsl:if>
	</xsl:variable>




	<xsl:variable name="link2conspect">
<xsl:if test="not(starts-with($exclude-name,'conspect'))">
	<!-- is there an conspectus, we will link to it -->
			<xsl:for-each
select="document($indexfile)//IndexItem[@src=$excerptsrc]/DocInfo[@name='conspect']">
				<xsl:value-of select="concat(@base,'/',@dest)" />
			</xsl:for-each>
</xsl:if>
	</xsl:variable>



	<xsl:variable name="link2structure">
<xsl:if test="$exclude-name!='structure'">
	<!-- is there an structure file, we will link to it -->
			<xsl:for-each
select="document($indexfile)//IndexItem[@src=$excerptsrc]/DocInfo[@name='structure']">
				<xsl:value-of select="concat(@base,'/',@dest)" />
			</xsl:for-each>
</xsl:if>
	</xsl:variable>



	<xsl:variable name="link2package">
<xsl:if test="$exclude-name!='package'">
	<!-- is there an structure file, we will link to it -->
			<xsl:for-each
select="document($indexfile)//IndexItem[@src=$excerptsrc]/DocInfo[@name='package']">
				<xsl:value-of select="concat(@base,'/',@dest)" />
			</xsl:for-each>
</xsl:if>
	</xsl:variable>

<xsl:variable name="link2criticism">
<xsl:if test="$exclude-name!='criticism'">
	<!-- is there an structure file, we will link to it -->
			<xsl:for-each
select="document($indexfile)//IndexItem[@src=$excerptsrc]/DocInfo[@name='criticism']">
				<xsl:value-of select="concat(@base,'/',@dest)" />
			</xsl:for-each>
</xsl:if>
	</xsl:variable>


	<xsl:variable name="link2orig"><!-- is there an original file we will link
to it also-->
	        <!-- xsl:message><xsl:value-of
select="concat('DEBUG:',count(document($indexfile)//IndexItem[@src=$excerptsrc
and count(@origdest)>0]))" /></xsl:message-->

		<xsl:for-each select="document($indexfile)//IndexItem[@src=$excerptsrc and
count(@origdest)>0]">
				<xsl:value-of select="concat(@base,'/',@origdest)" />
				<xsl:message><xsl:value-of select="concat('headlink2orig:
',@base,'/',@origdest,':',position())" /> </xsl:message>
		</xsl:for-each>
	</xsl:variable>


	<xsl:variable name="prev-image">
	<!-- xsl:message><xsl:value-of select="concat('-
',count(document($indexfile)//IndexItem[@src=$excerptsrc]))"/></xsl:message -->
		<xsl:value-of
select="concat(document($indexfile)//IndexItem[@src=$excerptsrc]/@base,'/',document($navbarfilepath)/Nav/NavParam[@name='prev-image']/@value)"
/>
	</xsl:variable>

	<xsl:variable name="home.link">
		<xsl:value-of select="document($navbarfilepath)/Nav/@site" />
	</xsl:variable>



<xsl:variable name="itembase">
	<xsl:value-of select="document($indexfile)//IndexItem[@src=$excerptsrc]/@base"
/>
</xsl:variable>



<xsl:if test="(string-length($link2conspect) + string-length($link2orig) +
string-length($link2excerpt) +
count(Abstract/@origin)+string-length($link2structure)+string-length($link2package))
>0">
<tr>
	<td>Verweis</td>
	<td>
		<!-- link to optional excerpt file -->
		<xsl:if test="string-length($link2excerpt)>0">
		<xsl:text> [ </xsl:text>
			<xsl:element name="a">
				<xsl:attribute name="style">color:orange</xsl:attribute>
				<xsl:attribute name="href"><xsl:value-of select="$link2excerpt"
/></xsl:attribute>
				Exzerpt</xsl:element>
                         <xsl:text> ] </xsl:text>
		</xsl:if>


		<!-- link to optional conspectus file -->
		<xsl:if test="string-length($link2conspect)>0">
		<xsl:text> [ </xsl:text>
			<xsl:element name="a">
				<xsl:attribute name="style">color:blue</xsl:attribute>
				<xsl:attribute name="href"><xsl:value-of select="$link2conspect"
/></xsl:attribute>
				Konspekt</xsl:element>
                         <xsl:text> ] </xsl:text>
		</xsl:if>


		<!-- link to the structure file -->
		<xsl:if test="string-length($link2structure)>0">
		<xsl:text> [ </xsl:text>
		<xsl:element name="a">
			<xsl:attribute name="href">
				<xsl:value-of select="$link2structure" />
			</xsl:attribute>
			Struktur</xsl:element>
                         <xsl:text> ] </xsl:text>
		</xsl:if>

		<!-- link to the criticism file -->
		<xsl:if test="string-length($link2criticism)>0">
		<xsl:text> [ </xsl:text>
		<xsl:element name="a">
			<xsl:attribute name="style">color:fuchsia</xsl:attribute>
			<xsl:attribute name="href">
				<xsl:value-of select="$link2criticism" />
			</xsl:attribute>
			Kritik</xsl:element>
                         <xsl:text> ] </xsl:text>
		</xsl:if>

		<!-- get the link to the local copy of the original file -->
		<xsl:if test="string-length($link2orig)>0">
		<!-- xsl:message>create backlink</xsl:message -->
		<xsl:text> [ </xsl:text>
		<xsl:element name="a">
			<xsl:attribute name="style">color:red</xsl:attribute>
			<xsl:attribute name="href">
				<xsl:value-of select="$link2orig" />
			</xsl:attribute>
			lokales Original</xsl:element>
                         <xsl:text> ] </xsl:text>
		</xsl:if>


		<!-- link to the package file -->
		<xsl:if test="string-length($link2package)>0">
		<xsl:text> [ </xsl:text>
		<xsl:element name="a">
			<xsl:attribute name="style">color:brown</xsl:attribute>
			<xsl:attribute name="href">
				<xsl:value-of select="$link2package" />
			</xsl:attribute>
			Info</xsl:element>
   		 <xsl:for-each select=
	"document($indexfile)//IndexItem[@src=$excerptsrc]/DocInfo[@name='package']">
		<xsl:if test="count(P)>0">
			<b onMouseOver="showBranch(&quot;packageinfo&quot;);" 
style="color:brown">&#187;</b>
			<div id="packageinfo" class="branch">
				<xsl:apply-templates mode="head.linklist" />
			</div>
		</xsl:if>
		</xsl:for-each>
		<xsl:text> ] </xsl:text>
		</xsl:if>

		<!-- link to the original source location of the file -->
		<xsl:if test="count(Abstract/@origin)>0">
		<xsl:element name="a">
			<xsl:attribute name="href">
				<xsl:value-of select="Abstract/@origin" />
			</xsl:attribute>
			externes Original
		</xsl:element>
		</xsl:if>
	</td>
</tr>
</xsl:if>
</xsl:template>

<!-- ################################# construct the HTML nodes in result tree
-->
<xsl:template match="*"  mode="head.linklist">
  <xsl:element name="{name()}">
    <xsl:for-each select="@*">
      <xsl:attribute name="{name()}">
        <xsl:value-of select="." />
      </xsl:attribute>
    </xsl:for-each>
    <xsl:apply-templates select="*|text()" />
  </xsl:element>
</xsl:template>

</xsl:stylesheet>
