<?xml version="1.0"  encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      xmlns:xalan="http://xml.apache.org/xslt"
>


<!-- ################################# index section 
##################################                                               
          -->
<xsl:template match="Section" mode="index">

<!-- compute the section index number -->
<xsl:variable name="secnumber">
	<!-- relate an fixed prefix is given -->
	<xsl:if test="count(@index)>0" >
		<xsl:value-of select="@index"/>
	</xsl:if>
	<xsl:if test="count(@index)=0" >
		<!-- an optional counting base is given -->
		<xsl:if test="count(@count)>0" >
			<xsl:number count="Section" format="1." level="single" 
value="@count+position()"  />
		</xsl:if>
		<!-- using the normal kind of numbering -->
		<xsl:if test="count(@count)=0" >
			<xsl:number count="Section" format="1." level="single"/>
		</xsl:if>
	</xsl:if>
</xsl:variable>

<xsl:variable name="secnumber.index"><xsl:number count="Section" format="1." 
level="single"/></xsl:variable>

	<xsl:value-of select="concat($secnumber,' ')"/>
        <xsl:element name="a">
		<xsl:attribute name="style">text-decoration:none; color:black; 
margin-top:0.5em; margin-bottom:0.5em;</xsl:attribute>
                <xsl:attribute name="href"><xsl:value-of 
select="concat('#',$secnumber.index)"/></xsl:attribute>
		<xsl:attribute name="name"><xsl:value-of 
select="concat('Ix',$secnumber.index)"/></xsl:attribute>
		<xsl:attribute name="id"><xsl:value-of 
select="concat('Ix',$secnumber.index)"/></xsl:attribute>
                <xsl:value-of select="@title"/>
         </xsl:element>

	<xsl:choose>
	<xsl:when test="count(Subsection/*)>0">
		<blockquote>
			<xsl:apply-templates select="Subsection" mode="index">
				<xsl:with-param name="secnumber" select="$secnumber" />
			</xsl:apply-templates>
		</blockquote>
	</xsl:when>
	<xsl:otherwise>
                <br />
	</xsl:otherwise>
	</xsl:choose>

</xsl:template>

<xsl:template match="Subsection" mode="index">
	<xsl:param name="secnumber" />

<xsl:variable name="subsecnumber">
	<xsl:if test="count(@index)>0" >
		<xsl:value-of select="@index"/>
	</xsl:if>

	<xsl:if test="count(@index)=0" >
		<xsl:value-of select="$secnumber" />
		<!-- relate an fixed prefix is given -->
		<xsl:if test="count(@index)=0" >
			<!-- an optional counting base is given -->
			<xsl:if test="count(@count)>0" >
				<xsl:number count="Subsection" format="1.1.1.1." level="multiple" 
value="@count+position()"  />
			</xsl:if>
			<!-- using the normal kind of numbering -->
			<xsl:if test="count(@count)=0" >
				<xsl:number count="Subsection" format="1.1.1.1." level="multiple"/>
			</xsl:if>
		</xsl:if>
	</xsl:if>
</xsl:variable>

<xsl:variable name="subsecnumber.index"><xsl:number count="Section|Subsection" 
format="1.1.1." level="multiple"/></xsl:variable>
<!-- xsl:message><xsl:value-of select="$subsecnumber.index"/></xsl:message -->
 	<xsl:value-of select="concat($subsecnumber,' ')"/>
        <xsl:element name="a">
		<xsl:attribute name="style">text-decoration:none; color:black</xsl:attribute>
                <xsl:attribute name="href"><xsl:value-of 
select="concat('#',$subsecnumber.index)"/></xsl:attribute>
		<xsl:attribute name="name"><xsl:value-of 
select="concat('Ix',$subsecnumber.index)"/></xsl:attribute>
		<xsl:attribute name="id"><xsl:value-of 
select="concat('Ix',$subsecnumber.index)"/></xsl:attribute>
                <xsl:value-of select="@title"/>
        </xsl:element>

	<xsl:choose>
	<xsl:when test="count(Subsection)>0">
		<blockquote>
			<xsl:apply-templates select="Subsection" mode="index">
				<xsl:with-param name="secnumber" select="$secnumber" />
			</xsl:apply-templates>
		</blockquote>
	</xsl:when>
	<xsl:otherwise>
                <br />
	</xsl:otherwise>
	</xsl:choose>

</xsl:template>

</xsl:stylesheet>
