<?xml version="1.0"  encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" omit-xml-declaration="yes"  indent="yes" 
encoding="iso-8859-1"/>


<xsl:template  name="htmlhead">
    <xsl:param name="titleprefix" />

    <xsl:message><xsl:value-of select="concat('htmlhead called from Node:
',name(),'(',$titleprefix,')' )"/>    </xsl:message>

<!-- first section %head.content -->
<xsl:if test="count(Abstract/@title)>0">
    <xsl:if test="$titleprefix!=''">
        <title><xsl:value-of select="concat($titleprefix,':
',Abstract/@title)"/></title>
    </xsl:if>
    <xsl:if test="not($titleprefix!='')">
        <title><xsl:value-of select="Abstract/@title"/></title>
    </xsl:if>
</xsl:if>


<!-- general META stuff as the second section %head.misc -->
    <META http-equiv="CONTENT-TYPE" CONTENT="text/html" charset="ISO-8859-1" />
    <META http-equiv="CONTENT-LANGUAGE" CONTENT="de" />
    <META HTTP-EQUIV="CHARSET" CONTENT="ISO-8859-1" />
    <META HTTP-EQUIV="VW96.OBJECT-TYPE" CONTENT="Homepage" />
    <META NAME="RATING" CONTENT="Alle" />
    <META NAME="ROBOTS" CONTENT="index,follow" />
    <META NAME="REVISIT-AFTER" CONTENT="30 Days" />


    <xsl:element name="META">
        <xsl:attribute name="name">GENERATOR</xsl:attribute>
        <xsl:attribute name="CONTENT"><xsl:value-of select="concat('Linux/X86;
',system-property('xsl:vendor'),';
',system-property('xsl:vendor-url'))"/></xsl:attribute>
    </xsl:element>


    <xsl:if test="count(Abstract)>0">

    <xsl:element name="META">
        <xsl:attribute name="name">TITLE</xsl:attribute>
        <xsl:attribute name="CONTENT"><xsl:value-of
select="Abstract/@title"/></xsl:attribute>
    </xsl:element>

    <xsl:element name="META">
        <xsl:attribute name="name">AUTHOR</xsl:attribute>
        <xsl:attribute name="CONTENT"><xsl:value-of
select="Abstract/@author"/></xsl:attribute>
    </xsl:element>

    <xsl:if test="count(Abstract/@email)>0">
    <xsl:element name="META">
        <xsl:attribute name="name">OWNER</xsl:attribute>
        <xsl:attribute name="CONTENT"><xsl:value-of
select="Abstract/@email"/></xsl:attribute>
    </xsl:element>
    </xsl:if>

    <xsl:element name="META">
        <xsl:attribute name="name">CHANGEBY</xsl:attribute>
        <xsl:attribute name="CONTENT"><xsl:value-of
select="Abstract/@author"/></xsl:attribute>
    </xsl:element>

    <xsl:if test="count(Abstract/@date)>0">
            <xsl:element name="META">
                      <xsl:attribute name="name">CREATED</xsl:attribute>
                      <xsl:attribute name="CONTENT"><xsl:value-of
select="Abstract/@date"/></xsl:attribute>
            </xsl:element>
    </xsl:if>

    <xsl:if test="count(Abstract/@description)>0">
           <xsl:element name="META">
                      <xsl:attribute name="name">DESCRIPTION</xsl:attribute>
                      <xsl:attribute name="CONTENT"><xsl:value-of
select="Abstract/@description"/></xsl:attribute>
            </xsl:element>
    </xsl:if>

    <xsl:if test="count(Abstract/@keywords)>0">
           <xsl:element name="META">
                      <xsl:attribute name="name">KEYWORDS</xsl:attribute>
		      <xsl:attribute name="lang">de</xsl:attribute>
                      <xsl:attribute name="CONTENT"><xsl:value-of
select="Abstract/@keywords"/></xsl:attribute>
            </xsl:element>
    </xsl:if>


    </xsl:if>

</xsl:template>

</xsl:stylesheet>
